Loading...
Searching...
No Matches
BALL::MOL2File::SetStruct Struct Reference

A class used for storing TRIPOS sets. More...

`#include <BALL/FORMAT/MOL2File.h>`

## Public Attributes

String | name
bool | is_static
String | obj_type
String | sub_type
String | status
String | comment
Size | number_of_members
vector< Index > | static_members
String | dynamic_rule

## Detailed Description

A class used for storing TRIPOS sets.

Definition at line 36 of file MOL2File.h.

## Member Data Documentation

## comment

String BALL::MOL2File::SetStruct::comment

Definition at line 43 of file MOL2File.h.

## dynamic_rule

String BALL::MOL2File::SetStruct::dynamic_rule

Definition at line 47 of file MOL2File.h.

## is_static

bool BALL::MOL2File::SetStruct::is_static

Definition at line 39 of file MOL2File.h.

## name

String BALL::MOL2File::SetStruct::name

Definition at line 38 of file MOL2File.h.

## number_of_members

Size BALL::MOL2File::SetStruct::number_of_members

Definition at line 44 of file MOL2File.h.

## obj_type

String BALL::MOL2File::SetStruct::obj_type

Definition at line 40 of file MOL2File.h.

## static_members

vector<Index> BALL::MOL2File::SetStruct::static_members

Definition at line 46 of file MOL2File.h.

## status

String BALL::MOL2File::SetStruct::status

Definition at line 42 of file MOL2File.h.

## sub_type

String BALL::MOL2File::SetStruct::sub_type

Definition at line 41 of file MOL2File.h.